Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface TableColumnModelListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  JTable, JTable.AccessibleJTable, JTableHeader

    public interface TableColumnModelListener

extends EventListener

TableColumnModelListener defines the interface for an object that listens to changes in a TableColumnModel.

See Also:
  `TableColumnModelEvent`

Method Summary
`void` | `columnAdded(TableColumnModelEvent e)` Tells listeners that a column was added to the model.
`void` | `columnMarginChanged(ChangeEvent e)` Tells listeners that a column was moved due to a margin change.
`void` | `columnMoved(TableColumnModelEvent e)` Tells listeners that a column was repositioned.
`void` | `columnRemoved(TableColumnModelEvent e)` Tells listeners that a column was removed from the model.
`void` | `columnSelectionChanged(ListSelectionEvent e)` Tells listeners that the selection model of the TableColumnModel changed.

Method Detail

### columnAdded

    void columnAdded(TableColumnModelEvent e)

  Tells listeners that a column was added to the model.

### columnRemoved

    void columnRemoved(TableColumnModelEvent e)

  Tells listeners that a column was removed from the model.

### columnMoved

    void columnMoved(TableColumnModelEvent e)

  Tells listeners that a column was repositioned.

### columnMarginChanged

    void columnMarginChanged(ChangeEvent e)

  Tells listeners that a column was moved due to a margin change.

### columnSelectionChanged

    void columnSelectionChanged(ListSelectionEvent e)

  Tells listeners that the selection model of the TableColumnModel changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.